Update a Lexicon Entry - Cognigy Documentation
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Update a Lexicon Entry
PATCH /v2.0/lexicons/{lexiconId}/entries/{entryId}
Example cURL Command
curl --request PATCH \
--url https://api-trial.cognigy.ai/new/v2.0/lexicons/{lexiconId}/entries/{entryId} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"mainKeyphrase": "pizza",
"data": "{\"key1\": \"value1\" }",
"slotReferences": [
"<string>"
]
}
'
Example in Python
import requests
url = "https://api-trial.cognigy.ai/new/v2.0/lexicons/{lexiconId}/entries/{entryId}"
payload = {
"mainKeyphrase": "pizza",
"data": "{\"key1\": \"value1\" }",
"slotReferences": ["<string>"]
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)
Example in JavaScript (Fetch API)
const options = {
method: 'PATCH',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
mainKeyphrase: 'pizza',
data: '{"key1": "value1" }',
slotReferences: ['<string>']
})
};
fetch('https://api-trial.cognigy.ai/new/v2.0/lexicons/{lexiconId}/entries/{entryId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Example in PHP
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-trial.cognigy.ai/new/v2.0/lexicons/{lexiconId}/entries/{entryId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'mainKeyphrase' => 'pizza',
'data' => '{"key1": "value1" }',
'slotReferences' => ['<string>']
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
Common HTTP Status Codes
400: Bad Request401: Unauthorized404: Not Found500: Internal Server Error
Response Structure Example
{
"type": "Bad Request",
"title": "Bad Request Error",
"status": 400,
"detail": "Validation failed. Missing payload.",
"code": 1000,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f"
}
Authorizations
- X-API-Key: string, required in header to supply the API Key
Request Headers
Accept
- Accept: Enum of media type expected in the response. Options:
application/json,application/xml, etc.
Body Parameters
- mainKeyphrase: string, required
- data: string, the additional JSON-data
- slotReferences: array of strings, required